<?xml version="1.0" encoding="utf-8"?>
<linkbase
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
    <roleRef
      roleURI="http://www.xbrl.org/2009/role/netLabel"
      xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"
      xlink:type="simple"/>
    <roleRef
      roleURI="http://www.xbrl.org/2009/role/negatedLabel"
      xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"
      xlink:type="simple"/>
    <labelLink
      xlink:role="http://www.xbrl.org/2003/role/link"
      xlink:type="extended">
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Goodwill"
          xlink:label="ifrs-full_Goodwill"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_Goodwill"
          xlink:to="label_ifrs-full_Goodwill"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_Goodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="fr">Goodwill au début de la période</label>
        <label
          xlink:label="label_ifrs-full_Goodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="fr">Goodwill à la fin de la période</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:to="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total immobilisations incorporelles autres que le goodwill</label>
        <label
          xlink:label="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="fr">Immobilisations incorporelles autres que le goodwill au début de la période</label>
        <label
          xlink:label="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="fr">Immobilisations incorporelles autres que le goodwill à la date de clôture</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"
          xlink:label="ifrs-full_PropertyPlantAndEquipment"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_PropertyPlantAndEquipment"
          xlink:to="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total immobilisations corporelles</label>
        <label
          xlink:label="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="fr">Immobilisations corporelles au début de la période</label>
        <label
          xlink:label="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="fr">Immobilisations corporelles à la fin de la période</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets"
          xlink:label="ifrs-full_DeferredTaxAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_DeferredTaxAssets"
          xlink:to="label_ifrs-full_DeferredTaxAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_DeferredTaxAssets"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="fr">Actifs d’impôt différé</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"
          xlink:label="ifrs-full_NoncurrentAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="label_ifrs-full_NoncurrentAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_NoncurrentAssets"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total actifs non courants</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents"
          xlink:label="ifrs-full_CashAndCashEquivalents"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashAndCashEquivalents"
          xlink:to="label_ifrs-full_CashAndCashEquivalents"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total trésorerie et équivalents de trésorerie</label>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="fr">Trésorerie et équivalents de trésorerie au début de la période</label>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="fr">Trésorerie et équivalents de trésorerie à la fin de la période</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"
          xlink:label="ifrs-full_CurrentAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="label_ifrs-full_CurrentAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentAssets"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total des actifs courants</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets"
          xlink:label="ifrs-full_Assets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_Assets"
          xlink:to="label_ifrs-full_Assets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_Assets"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total des actifs</label>
        <label
          xlink:label="label_ifrs-full_Assets"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="fr">Actifs au début de la période</label>
        <label
          xlink:label="label_ifrs-full_Assets"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="fr">Actifs à la fin de la période</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital"
          xlink:label="ifrs-full_IssuedCapital"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_IssuedCapital"
          xlink:to="label_ifrs-full_IssuedCapital"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_IssuedCapital"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total du capital émis</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ReservesAndRetainedEarnings"
          xlink:label="ovhgroupe_ReservesAndRetainedEarnings"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ReservesAndRetainedEarnings"
          xlink:to="label_ovhgroupe_ReservesAndRetainedEarnings"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ReservesAndRetainedEarnings"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Réserves et report à nouveau</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"
          xlink:label="ifrs-full_Equity"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_Equity"
          xlink:to="label_ifrs-full_Equity"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_Equity"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total capitaux propres</label>
        <label
          xlink:label="label_ifrs-full_Equity"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="fr">Capitaux propres au début de la période</label>
        <label
          xlink:label="label_ifrs-full_Equity"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="fr">Capitaux propres à la fin de la période</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings"
          xlink:label="ifrs-full_LongtermBorrowings"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_LongtermBorrowings"
          xlink:to="label_ifrs-full_LongtermBorrowings"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_LongtermBorrowings"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total partie non courante d’emprunts non courants</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisions"
          xlink:label="ifrs-full_NoncurrentProvisions"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_NoncurrentProvisions"
          xlink:to="label_ifrs-full_NoncurrentProvisions"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_NoncurrentProvisions"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total provisions non courantes</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"
          xlink:label="ifrs-full_NoncurrentLiabilities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="label_ifrs-full_NoncurrentLiabilities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_NoncurrentLiabilities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total passifs non courants</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:label="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:to="label_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total emprunts courants et partie courante d’emprunts non courants</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProvisions"
          xlink:label="ifrs-full_CurrentProvisions"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentProvisions"
          xlink:to="label_ifrs-full_CurrentProvisions"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentProvisions"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total provisions courantes</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"
          xlink:label="ifrs-full_CurrentLiabilities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="label_ifrs-full_CurrentLiabilities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentLiabilities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total passifs courants</label>
        <label
          xlink:label="label_ifrs-full_CurrentLiabilities"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="fr">Passifs courants</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities"
          xlink:label="ifrs-full_EquityAndLiabilities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_EquityAndLiabilities"
          xlink:to="label_ifrs-full_EquityAndLiabilities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_EquityAndLiabilities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total capitaux propres et passifs</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense"
          xlink:label="ifrs-full_EmployeeBenefitsExpense"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_EmployeeBenefitsExpense"
          xlink:to="label_ifrs-full_EmployeeBenefitsExpense"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_EmployeeBenefitsExpense"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total charges au titre des avantages du personnel</label>
        <label
          xlink:label="label_ifrs-full_EmployeeBenefitsExpense"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="fr">Charges au titre des avantages du personnel</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:label="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:to="label_ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Charges opérationnelles (autres que charges de personnel)</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CurrentEbitda"
          xlink:label="ovhgroupe_CurrentEbitda"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CurrentEbitda"
          xlink:to="label_ovhgroupe_CurrentEbitda"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CurrentEbitda"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">EBITDA courant</label>
        <label
          xlink:label="label_ovhgroupe_CurrentEbitda"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">EBITDA courant</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:label="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:to="label_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total dépréciation, amortissement et perte de valeur (reprise de perte de valeur) comptabilisés en résultat</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CurrentOperatingIncome"
          xlink:label="ovhgroupe_CurrentOperatingIncome"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CurrentOperatingIncome"
          xlink:to="label_ovhgroupe_CurrentOperatingIncome"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CurrentOperatingIncome"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Résultat opérationnel courant</label>
        <label
          xlink:label="label_ovhgroupe_CurrentOperatingIncome"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Résultat opérationnel courant</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"
          xlink:label="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:to="label_ifrs-full_ProfitLossFromOperatingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ProfitLossFromOperatingActivities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Profits (pertes) d’activités opérationnelles</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"
          xlink:label="ifrs-full_ProfitLossBeforeTax"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ProfitLossBeforeTax"
          xlink:to="label_ifrs-full_ProfitLossBeforeTax"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ProfitLossBeforeTax"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Résultat avant impôt</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"
          xlink:label="ifrs-full_ProfitLoss"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ProfitLoss"
          xlink:to="label_ifrs-full_ProfitLoss"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ProfitLoss"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Résultat</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShare"
          xlink:label="ifrs-full_BasicEarningsLossPerShare"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_BasicEarningsLossPerShare"
          xlink:to="label_ifrs-full_BasicEarningsLossPerShare"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_BasicEarningsLossPerShare"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total résultat (perte) de base par action</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare"
          xlink:label="ifrs-full_DilutedEarningsLossPerShare"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_DilutedEarningsLossPerShare"
          xlink:to="label_ifrs-full_DilutedEarningsLossPerShare"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_DilutedEarningsLossPerShare"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total du résultat dilué par action</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:label="ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:to="label_ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Réévaluation des instruments de couverture</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Autres éléments du résultat global, nets d’impôt, écarts de change résultant de la conversion d'activités à l’étranger</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Eléments recyclables en résultat</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total autres éléments du résultat global, avant impôt, profits (pertes) résultant de réévaluations au titre des régimes à prestations définies</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Eléments non recyclables en résultat</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"
          xlink:label="ifrs-full_OtherComprehensiveIncome"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncome"
          xlink:to="label_ifrs-full_OtherComprehensiveIncome"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncome"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total autres éléments du résultat global</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome"
          xlink:label="ifrs-full_ComprehensiveIncome"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ComprehensiveIncome"
          xlink:to="label_ifrs-full_ComprehensiveIncome"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ComprehensiveIncome"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total du résultat global</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:label="ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:to="label_ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Perte de change (dollar canadien et dollar américain)</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:label="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:to="label_ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Ajustement des plus ou moins-values de cessions d’actifs, mises au rebut et réévaluations</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="fr">Flux de trésorerie nets résultant (utilisés dans le cadre) des activités</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="fr">Flux de trésorerie nets résultant (utilisés dans le cadre) d’activités opérationnelles</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:label="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:to="label_ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Décaissements liés aux acquisitions d’immobilisations corporelles et incorporelles</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:label="ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:to="label_ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Produits de cession d'immobilisations</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:label="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:to="label_ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Encaissements/(décaissements) liés aux regroupements d’entreprises nets de leur trésorerie</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:label="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:to="label_ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Encaissements/(décaissements) liés aux prêts et avances consentis</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="fr">Flux de trésorerie nets résultant (utilisés dans le cadre) d’activités d’investissement</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CapitalIncreaseIpo"
          xlink:label="ovhgroupe_CapitalIncreaseIpo"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CapitalIncreaseIpo"
          xlink:to="label_ovhgroupe_CapitalIncreaseIpo"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CapitalIncreaseIpo"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Augmentation de capital - Introduction en bourse</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CapitalIncreaseEsp2021"
          xlink:label="ovhgroupe_CapitalIncreaseEsp2021"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CapitalIncreaseEsp2021"
          xlink:to="label_ovhgroupe_CapitalIncreaseEsp2021"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CapitalIncreaseEsp2021"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Augmentation de capital - "ESP 2021"</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:to="label_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="fr">Paiements pour acquérir ou racheter les actions de l’entité</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_GuaranteeDepositsReceived"
          xlink:label="ovhgroupe_GuaranteeDepositsReceived"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_GuaranteeDepositsReceived"
          xlink:to="label_ovhgroupe_GuaranteeDepositsReceived"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_GuaranteeDepositsReceived"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Dépôts de garanties reçus</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="fr">Flux de trésorerie nets résultant (utilisés dans le cadre) d’activités de financement</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="fr">Augmentation nette (diminution nette) de la trésorerie et des équivalents de trésorerie après effet des variations des taux de change</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:to="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="fr">Total trésorerie et équivalents de trésorerie si différents de l’état de la situation financière</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:label="ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:to="label_ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="fr">Découverts bancaires</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:label="ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:to="label_ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Autres éléments du résultat global (hors réserves de conversion)</label>

        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:label="ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:to="label_ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="fr">Résultat financier (hors écarts de change réalisés)</label>

    </labelLink>
</linkbase>
